version: "3.8"

networks:
  k8s-practice-net:
    external: true

services:
  mysql:
    container_name: k8s_practice_mysql_master_1
    image: mysql:latest
    env_file:
      - .env # Use the environment variables from the .env file
    volumes:
      - ./MySQL-data:/var/lib/mysql # Mount the data directory
      - ./my.cnf:/etc/mysql/my.cnf # Mount the custom configuration file
      - ./init.sql:/docker-entrypoint-initdb.d/init.sql
    command: ["--init-file", "/docker-entrypoint-initdb.d/init.sql"]
    ports:
      - ${EXPOSE_PORT}:3306 # Expose MySQL port to the host
    networks:
      - k8s-practice-net
